clang 8.0.0

Public Attributes | List of all members
clang::tooling::TranslationUnitDiagnostics Struct Reference

Collection of Diagnostics generated from a single translation unit. More...

`#include "clang/Tooling/Core/Diagnostic.h"`

Collaboration diagram for clang::tooling::TranslationUnitDiagnostics:
[legend]

## Public Attributes
std::string | MainSourceFile
| Name of the main source for the translation unit. More...
std::vector< Diagnostic > | Diagnostics

## Detailed Description

Collection of Diagnostics generated from a single translation unit.

Definition at line 92 of file Diagnostic.h.

## Member Data Documentation

## ◆ Diagnostics

std::vector<Diagnostic> clang::tooling::TranslationUnitDiagnostics::Diagnostics

Definition at line 95 of file Diagnostic.h.

Referenced by llvm::yaml::MappingTraits< clang::tooling::TranslationUnitDiagnostics >::mapping().

## ◆ MainSourceFile

std::string clang::tooling::TranslationUnitDiagnostics::MainSourceFile

Name of the main source for the translation unit.

Definition at line 94 of file Diagnostic.h.

Referenced by llvm::yaml::MappingTraits< clang::tooling::TranslationUnitDiagnostics >::mapping().

The documentation for this struct was generated from the following file:

- include/clang/Tooling/Core/Diagnostic.h